<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: flat Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classUDP__if.html">UDP_if</a></li><li class="navelem"><a class="el" href="classUDP__if_1_1flat.html">flat</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">flat Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classUDP__if_1_1flat-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ac1fc25c29fa697d7e286b63bc8c34e90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1fc25c29fa697d7e286b63bc8c34e90"></a>
<a class="el" href="classUDP__if_1_1flat.html#ac1fc25c29fa697d7e286b63bc8c34e90">rx_last_kludge</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a780eef132b0055c602c755f5b1405a8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a780eef132b0055c602c755f5b1405a8c"></a>
<a class="el" href="classUDP__if_1_1flat.html#a780eef132b0055c602c755f5b1405a8c">addra</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adf6f55c6fcdba8c9c18fa2fd19f90afd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf6f55c6fcdba8c9c18fa2fd19f90afd"></a>
<a class="el" href="classUDP__if_1_1flat.html#adf6f55c6fcdba8c9c18fa2fd19f90afd">addrb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae64de772279c138d3cfe9e82b14a22f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae64de772279c138d3cfe9e82b14a22f"></a>
<a class="el" href="classUDP__if_1_1flat.html#aae64de772279c138d3cfe9e82b14a22f">cksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a13a275ecb10667c83d9fb4799339cda8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13a275ecb10667c83d9fb4799339cda8"></a>
<a class="el" href="classUDP__if_1_1flat.html#a13a275ecb10667c83d9fb4799339cda8">clr_sum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac918c58fe432442608dd169abc9224a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac918c58fe432442608dd169abc9224a1"></a>
<a class="el" href="classUDP__if_1_1flat.html#ac918c58fe432442608dd169abc9224a1">dia</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a02859874d61e25d13622bc79b7ed76ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02859874d61e25d13622bc79b7ed76ad"></a>
<a class="el" href="classUDP__if_1_1flat.html#a02859874d61e25d13622bc79b7ed76ad">do_sum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5c27248ded0b0f448b4a8a657b8b14af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c27248ded0b0f448b4a8a657b8b14af"></a>
<a class="el" href="classUDP__if_1_1flat.html#a5c27248ded0b0f448b4a8a657b8b14af">dob</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a75e688bc16520229d077c34c2d69a376"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75e688bc16520229d077c34c2d69a376"></a>
<a class="el" href="classUDP__if_1_1flat.html#a75e688bc16520229d077c34c2d69a376">int_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a42b71ed3efe75d918f29df1b21f50d65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42b71ed3efe75d918f29df1b21f50d65"></a>
<a class="el" href="classUDP__if_1_1flat.html#a42b71ed3efe75d918f29df1b21f50d65">int_valid</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a004a99ac376fa4688a5027be64d9a201"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a004a99ac376fa4688a5027be64d9a201"></a>
<a class="el" href="classUDP__if_1_1flat.html#a004a99ac376fa4688a5027be64d9a201">outbyte</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad6e269edbecc00567aeb2b57ce065dea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6e269edbecc00567aeb2b57ce065dea"></a>
<a class="el" href="classUDP__if_1_1flat.html#ad6e269edbecc00567aeb2b57ce065dea">payload_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad0539eb83485ab21595fc3a8bfac1b96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0539eb83485ab21595fc3a8bfac1b96"></a>
<a class="el" href="classUDP__if_1_1flat.html#ad0539eb83485ab21595fc3a8bfac1b96">payload_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3bfe77aea03b491386d313a3e84be86d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3bfe77aea03b491386d313a3e84be86d"></a>
<a class="el" href="classUDP__if_1_1flat.html#a3bfe77aea03b491386d313a3e84be86d">payload_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3c1987d3aedb9f2c65cc775697fee8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3c1987d3aedb9f2c65cc775697fee8f"></a>
<a class="el" href="classUDP__if_1_1flat.html#ab3c1987d3aedb9f2c65cc775697fee8f">payload_we</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a003def0bee89be690a54c4191a122cdc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a003def0bee89be690a54c4191a122cdc"></a>
<a class="el" href="classUDP__if_1_1flat.html#a003def0bee89be690a54c4191a122cdc">req_resend</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3d73deaa2d413e3fba78d95df749c1e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d73deaa2d413e3fba78d95df749c1e1"></a>
<a class="el" href="classUDP__if_1_1flat.html#a3d73deaa2d413e3fba78d95df749c1e1">rx_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac4a34735d8df5a81fef448c1ca40cf32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4a34735d8df5a81fef448c1ca40cf32"></a>
<a class="el" href="classUDP__if_1_1flat.html#ac4a34735d8df5a81fef448c1ca40cf32">rx_wea</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8a598d1c795c330f9b40ec2e81b9ebd5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a598d1c795c330f9b40ec2e81b9ebd5"></a>
<a class="el" href="classUDP__if_1_1flat.html#a8a598d1c795c330f9b40ec2e81b9ebd5">rxram_busy</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a56166801902bd1eb37e9749a3508a31f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a56166801902bd1eb37e9749a3508a31f"></a>
<a class="el" href="classUDP__if_1_1flat.html#a56166801902bd1eb37e9749a3508a31f">rxram_end_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac7f3b79ab9bbf99278448321b363dfed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7f3b79ab9bbf99278448321b363dfed"></a>
<a class="el" href="classUDP__if_1_1flat.html#ac7f3b79ab9bbf99278448321b363dfed">rxram_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a11ffeb0b11ff2478fada72975a7d6c71"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11ffeb0b11ff2478fada72975a7d6c71"></a>
<a class="el" href="classUDP__if_1_1flat.html#a11ffeb0b11ff2478fada72975a7d6c71">udpaddrb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a89fd3f90e40c144c9c267dc002d59f28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89fd3f90e40c144c9c267dc002d59f28"></a>
<a class="el" href="classUDP__if_1_1flat.html#a89fd3f90e40c144c9c267dc002d59f28">udpdob</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abaecb15186129abec409989a1a7caaa7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abaecb15186129abec409989a1a7caaa7"></a>
<a class="el" href="classUDP__if_1_1flat.html#abaecb15186129abec409989a1a7caaa7">udpram_busy</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af22d763739764d2c69e79b1eda6712ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af22d763739764d2c69e79b1eda6712ed"></a>
<a class="el" href="classUDP__if_1_1flat.html#af22d763739764d2c69e79b1eda6712ed">udpram_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a54a00eada00971825ad0585e68b68667"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54a00eada00971825ad0585e68b68667"></a>
<a class="el" href="classUDP__if_1_1flat.html#a54a00eada00971825ad0585e68b68667">wea</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acbd0b1eac4af3e4efdf0a62fe4ea949f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbd0b1eac4af3e4efdf0a62fe4ea949f"></a>
<a class="el" href="classUDP__if_1_1flat.html#acbd0b1eac4af3e4efdf0a62fe4ea949f">My_IP_addr_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3f47a304147e35c50cb38dd56138c569"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f47a304147e35c50cb38dd56138c569"></a>
<a class="el" href="classUDP__if_1_1flat.html#a3f47a304147e35c50cb38dd56138c569">pkt_drop_rarp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a24a4635cfa39a1339ae5236c4a95bbbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24a4635cfa39a1339ae5236c4a95bbbc"></a>
<a class="el" href="classUDP__if_1_1flat.html#a24a4635cfa39a1339ae5236c4a95bbbc">rarp_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:affb07c853ef6fe26c53c6e25817d9aed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="affb07c853ef6fe26c53c6e25817d9aed"></a>
<a class="el" href="classUDP__if_1_1flat.html#affb07c853ef6fe26c53c6e25817d9aed">rarp_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0d247ff831a0fe114545b1b3fe65f4a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d247ff831a0fe114545b1b3fe65f4a0"></a>
<a class="el" href="classUDP__if_1_1flat.html#a0d247ff831a0fe114545b1b3fe65f4a0">rarp_end_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa94a49c91ed49fb38e0879b189bea6c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa94a49c91ed49fb38e0879b189bea6c5"></a>
<a class="el" href="classUDP__if_1_1flat.html#aa94a49c91ed49fb38e0879b189bea6c5">rarp_mode</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afef09d34f389d54fce33ee5aecc80ca0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afef09d34f389d54fce33ee5aecc80ca0"></a>
<a class="el" href="classUDP__if_1_1flat.html#afef09d34f389d54fce33ee5aecc80ca0">rarp_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aecad12a382184087d799555ae91625c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aecad12a382184087d799555ae91625c0"></a>
<a class="el" href="classUDP__if_1_1flat.html#aecad12a382184087d799555ae91625c0">rarp_we</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a85683723a97ccb0b394fc47ebe653f5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a85683723a97ccb0b394fc47ebe653f5b"></a>
<a class="el" href="classUDP__if_1_1flat.html#a85683723a97ccb0b394fc47ebe653f5b">arp_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e562b93353f859c86b5417b4effe965"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e562b93353f859c86b5417b4effe965"></a>
<a class="el" href="classUDP__if_1_1flat.html#a3e562b93353f859c86b5417b4effe965">arp_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c7271cdc4f008efeb4c9b764228c99c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c7271cdc4f008efeb4c9b764228c99c"></a>
<a class="el" href="classUDP__if_1_1flat.html#a0c7271cdc4f008efeb4c9b764228c99c">arp_end_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0d6211e7320b70533dbac4dce247f4c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d6211e7320b70533dbac4dce247f4c9"></a>
<a class="el" href="classUDP__if_1_1flat.html#a0d6211e7320b70533dbac4dce247f4c9">arp_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2ae84cadf1f2a326ff1c69eeb3f4170d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ae84cadf1f2a326ff1c69eeb3f4170d"></a>
<a class="el" href="classUDP__if_1_1flat.html#a2ae84cadf1f2a326ff1c69eeb3f4170d">arp_we</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aac73ee5d2b1a644ae2a0277f3d2a3f18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac73ee5d2b1a644ae2a0277f3d2a3f18"></a>
<a class="el" href="classUDP__if_1_1flat.html#aac73ee5d2b1a644ae2a0277f3d2a3f18">rx_cksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae940bfd9c52f39e53a23b7091dc9ade3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae940bfd9c52f39e53a23b7091dc9ade3"></a>
<a class="el" href="classUDP__if_1_1flat.html#ae940bfd9c52f39e53a23b7091dc9ade3">rx_clr_sum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a14eaa13d45cb1acc743f1c8a03dfbc06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14eaa13d45cb1acc743f1c8a03dfbc06"></a>
<a class="el" href="classUDP__if_1_1flat.html#a14eaa13d45cb1acc743f1c8a03dfbc06">clr_sum_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3040096617a92227356cb714b93f435e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3040096617a92227356cb714b93f435e"></a>
<a class="el" href="classUDP__if_1_1flat.html#a3040096617a92227356cb714b93f435e">clr_sum_ping</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af878c59d8828fce2b7baac9bee90790e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af878c59d8828fce2b7baac9bee90790e"></a>
<a class="el" href="classUDP__if_1_1flat.html#af878c59d8828fce2b7baac9bee90790e">rx_do_sum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad7271fc91f718ffef00264124cf40762"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7271fc91f718ffef00264124cf40762"></a>
<a class="el" href="classUDP__if_1_1flat.html#ad7271fc91f718ffef00264124cf40762">do_sum_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae088e3189189ba7639f6ba9a3b91e8cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae088e3189189ba7639f6ba9a3b91e8cb"></a>
<a class="el" href="classUDP__if_1_1flat.html#ae088e3189189ba7639f6ba9a3b91e8cb">do_sum_ping</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a40e75a9ea2167e7f555b6b00a922fd5f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40e75a9ea2167e7f555b6b00a922fd5f"></a>
<a class="el" href="classUDP__if_1_1flat.html#a40e75a9ea2167e7f555b6b00a922fd5f">rx_int_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae05b88db2256618cf5c4a3dae39f73e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae05b88db2256618cf5c4a3dae39f73e5"></a>
<a class="el" href="classUDP__if_1_1flat.html#ae05b88db2256618cf5c4a3dae39f73e5">int_data_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7defa00b49007a2a3fd9445a56aaddce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7defa00b49007a2a3fd9445a56aaddce"></a>
<a class="el" href="classUDP__if_1_1flat.html#a7defa00b49007a2a3fd9445a56aaddce">int_data_ping</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5576556edf521b108b152940093a1077"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5576556edf521b108b152940093a1077"></a>
<a class="el" href="classUDP__if_1_1flat.html#a5576556edf521b108b152940093a1077">rx_int_valid</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab7cef948c9bef488f30c4896df717e1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7cef948c9bef488f30c4896df717e1c"></a>
<a class="el" href="classUDP__if_1_1flat.html#ab7cef948c9bef488f30c4896df717e1c">int_valid_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2a4a4c2618c6089cd8cb626a3f03fd38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a4a4c2618c6089cd8cb626a3f03fd38"></a>
<a class="el" href="classUDP__if_1_1flat.html#a2a4a4c2618c6089cd8cb626a3f03fd38">int_valid_ping</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a93d7fcbcb8558317985a1cead2a7fdf1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93d7fcbcb8558317985a1cead2a7fdf1"></a>
<a class="el" href="classUDP__if_1_1flat.html#a93d7fcbcb8558317985a1cead2a7fdf1">rx_outbyte</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30e1b01edf0771b35bc713896ed1a695"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30e1b01edf0771b35bc713896ed1a695"></a>
<a class="el" href="classUDP__if_1_1flat.html#a30e1b01edf0771b35bc713896ed1a695">ping_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac91432534f609bac040e3ae16ca6fd45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac91432534f609bac040e3ae16ca6fd45"></a>
<a class="el" href="classUDP__if_1_1flat.html#ac91432534f609bac040e3ae16ca6fd45">ping_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff460385171cce480d30b140bda19111"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff460385171cce480d30b140bda19111"></a>
<a class="el" href="classUDP__if_1_1flat.html#aff460385171cce480d30b140bda19111">ping_end_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a392c64b1577fe0b3d596b107c59a0b00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a392c64b1577fe0b3d596b107c59a0b00"></a>
<a class="el" href="classUDP__if_1_1flat.html#a392c64b1577fe0b3d596b107c59a0b00">ping_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9df00dc0200360394cfba5e22e5a44a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9df00dc0200360394cfba5e22e5a44a7"></a>
<a class="el" href="classUDP__if_1_1flat.html#a9df00dc0200360394cfba5e22e5a44a7">ping_we</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a979f837897537975e4fbb6296fd8121f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a979f837897537975e4fbb6296fd8121f"></a>
<a class="el" href="classUDP__if_1_1flat.html#a979f837897537975e4fbb6296fd8121f">status_block</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aab1387b88a72c26cedd165256a59eca6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab1387b88a72c26cedd165256a59eca6"></a>
<a class="el" href="classUDP__if_1_1flat.html#aab1387b88a72c26cedd165256a59eca6">status_request</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a003620486af2be1cfcad478e39c9967b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a003620486af2be1cfcad478e39c9967b"></a>
<a class="el" href="classUDP__if_1_1flat.html#a003620486af2be1cfcad478e39c9967b">status_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aac7fc6cf09948d02c28f6347b63dce68"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac7fc6cf09948d02c28f6347b63dce68"></a>
<a class="el" href="classUDP__if_1_1flat.html#aac7fc6cf09948d02c28f6347b63dce68">status_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab701236682ca5ec206c7b3c3c41f7152"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab701236682ca5ec206c7b3c3c41f7152"></a>
<a class="el" href="classUDP__if_1_1flat.html#ab701236682ca5ec206c7b3c3c41f7152">status_we</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a33ce6d927390a66e1956630ade17fd9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33ce6d927390a66e1956630ade17fd9b"></a>
<a class="el" href="classUDP__if_1_1flat.html#a33ce6d927390a66e1956630ade17fd9b">status_end_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a20eb1c1fc0aa0ceed1aeeafc44ce1792"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20eb1c1fc0aa0ceed1aeeafc44ce1792"></a>
<a class="el" href="classUDP__if_1_1flat.html#a20eb1c1fc0aa0ceed1aeeafc44ce1792">status_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a560ee77195a4701dfac7ffb5be44dd85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a560ee77195a4701dfac7ffb5be44dd85"></a>
<a class="el" href="classUDP__if_1_1flat.html#a560ee77195a4701dfac7ffb5be44dd85">pkt_drop_arp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2f3d24f68058067438af48b26e31e91e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f3d24f68058067438af48b26e31e91e"></a>
<a class="el" href="classUDP__if_1_1flat.html#a2f3d24f68058067438af48b26e31e91e">pkt_drop_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a69128214f4caee92bb2b73c31b726272"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69128214f4caee92bb2b73c31b726272"></a>
<a class="el" href="classUDP__if_1_1flat.html#a69128214f4caee92bb2b73c31b726272">pkt_drop_ping</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aad71bac75fbac6d4b2f5d68484e73dff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aad71bac75fbac6d4b2f5d68484e73dff"></a>
<a class="el" href="classUDP__if_1_1flat.html#aad71bac75fbac6d4b2f5d68484e73dff">pkt_drop_resend</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a348b23fd95c4ebeddf54c6aba3f1a7d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a348b23fd95c4ebeddf54c6aba3f1a7d5"></a>
<a class="el" href="classUDP__if_1_1flat.html#a348b23fd95c4ebeddf54c6aba3f1a7d5">pkt_drop_status</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab89783349b084cbe02f2ed718b3b6b84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab89783349b084cbe02f2ed718b3b6b84"></a>
<a class="el" href="classUDP__if_1_1flat.html#ab89783349b084cbe02f2ed718b3b6b84">last_rx_last</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8b617e58b02711b0b218078fd05f3f65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b617e58b02711b0b218078fd05f3f65"></a>
<a class="el" href="classUDP__if_1_1flat.html#a8b617e58b02711b0b218078fd05f3f65">my_rx_last</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6cebba76c43248b747da997b15002577"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cebba76c43248b747da997b15002577"></a>
<a class="el" href="classUDP__if_1_1flat.html#a6cebba76c43248b747da997b15002577">mac_tx_last_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aafce111158c92c134d595d1adc83a341"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafce111158c92c134d595d1adc83a341"></a>
<a class="el" href="classUDP__if_1_1flat.html#aafce111158c92c134d595d1adc83a341">mac_tx_error_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ec7f7c8d104804adef5965a527669c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ec7f7c8d104804adef5965a527669c8"></a>
<a class="el" href="classUDP__if_1_1flat.html#a6ec7f7c8d104804adef5965a527669c8">ipbus_in_hdr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4d7b7f3b7f9a728b6a13ab2d03a937e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d7b7f3b7f9a728b6a13ab2d03a937e6"></a>
<a class="el" href="classUDP__if_1_1flat.html#a4d7b7f3b7f9a728b6a13ab2d03a937e6">ipbus_out_hdr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac1ace9d21f5451dbfa746de5c4996443"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1ace9d21f5451dbfa746de5c4996443"></a>
<a class="el" href="classUDP__if_1_1flat.html#ac1ace9d21f5451dbfa746de5c4996443">pkt_broadcast</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a90cf875db4e1c304d38cc48c8502e413"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90cf875db4e1c304d38cc48c8502e413"></a>
<a class="el" href="classUDP__if_1_1flat.html#a90cf875db4e1c304d38cc48c8502e413">ipbus_out_valid</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abc4540ced600f9fdee528bcc41a1b08c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc4540ced600f9fdee528bcc41a1b08c"></a>
<a class="el" href="classUDP__if_1_1flat.html#abc4540ced600f9fdee528bcc41a1b08c">rxram_dropped_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a694782835299033d9f486bb870d2393e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a694782835299033d9f486bb870d2393e"></a>
<a class="el" href="classUDP__if_1_1flat.html#a694782835299033d9f486bb870d2393e">rxpayload_dropped_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6dbc1b83c3fe5a72c1709745b8de74ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6dbc1b83c3fe5a72c1709745b8de74ca"></a>
<a class="el" href="classUDP__if_1_1flat.html#a6dbc1b83c3fe5a72c1709745b8de74ca">pkt_drop_ipbus</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7b6a1e3989ea4dadf7f85a7271a60c54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b6a1e3989ea4dadf7f85a7271a60c54"></a>
<a class="el" href="classUDP__if_1_1flat.html#a7b6a1e3989ea4dadf7f85a7271a60c54">pkt_drop_reliable</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa3f5f3565495b425f0e7d30dd57decb8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3f5f3565495b425f0e7d30dd57decb8"></a>
<a class="el" href="classUDP__if_1_1flat.html#aa3f5f3565495b425f0e7d30dd57decb8">pkt_byteswap</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1f34ed2d9a3784765b426b4a55d875f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f34ed2d9a3784765b426b4a55d875f7"></a>
<a class="el" href="classUDP__if_1_1flat.html#a1f34ed2d9a3784765b426b4a55d875f7">next_pkt_id</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8165ff93463e21db213e37604fdd2003"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8165ff93463e21db213e37604fdd2003"></a>
<a class="el" href="classUDP__if_1_1flat.html#a8165ff93463e21db213e37604fdd2003">we_125</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9ab88624f42762bab7811fb8466b46ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ab88624f42762bab7811fb8466b46ea"></a>
<a class="el" href="classUDP__if_1_1flat.html#a9ab88624f42762bab7811fb8466b46ea">rst_ipb_125</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a640c4e99bd187d0dcf6264346889c0cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a640c4e99bd187d0dcf6264346889c0cd"></a>
<a class="el" href="classUDP__if_1_1flat.html#a640c4e99bd187d0dcf6264346889c0cd">rxram_write_buf</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">INTERNALWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a27d6047845627a8a1c1cca1d890c91fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27d6047845627a8a1c1cca1d890c91fd"></a>
<a class="el" href="classUDP__if_1_1flat.html#a27d6047845627a8a1c1cca1d890c91fd">rxram_send_buf</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">INTERNALWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8d726ac883a26728748a53ee4bfa8622"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d726ac883a26728748a53ee4bfa8622"></a>
<a class="el" href="classUDP__if_1_1flat.html#a8d726ac883a26728748a53ee4bfa8622">rxram_sent</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad317c207fa21b063299049da4472a8f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad317c207fa21b063299049da4472a8f3"></a>
<a class="el" href="classUDP__if_1_1flat.html#ad317c207fa21b063299049da4472a8f3">internal_busy</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9fc1087e35049c89630755b76dc3deb7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fc1087e35049c89630755b76dc3deb7"></a>
<a class="el" href="classUDP__if_1_1flat.html#a9fc1087e35049c89630755b76dc3deb7">rxram_req_send</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9c51e51a440218500dabdac4ed162440"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c51e51a440218500dabdac4ed162440"></a>
<a class="el" href="classUDP__if_1_1flat.html#a9c51e51a440218500dabdac4ed162440">rxram_send_x</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa2f73d862fd1fb3dbbc1b48033fdb9c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2f73d862fd1fb3dbbc1b48033fdb9c7"></a>
<a class="el" href="classUDP__if_1_1flat.html#aa2f73d862fd1fb3dbbc1b48033fdb9c7">rxram_end_addr_x</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a900fb05ac0cff6647bb7640aeda8127c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a900fb05ac0cff6647bb7640aeda8127c"></a>
<a class="el" href="classUDP__if_1_1flat.html#a900fb05ac0cff6647bb7640aeda8127c">rxram_addra</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">INTERNALWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">ADDRWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abfed5c68af44f53010cde34ef2ac0938"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfed5c68af44f53010cde34ef2ac0938"></a>
<a class="el" href="classUDP__if_1_1flat.html#abfed5c68af44f53010cde34ef2ac0938">rxram_addrb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">INTERNALWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">ADDRWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6447472c62f4733277262b9787d72570"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6447472c62f4733277262b9787d72570"></a>
<a class="el" href="classUDP__if_1_1flat.html#a6447472c62f4733277262b9787d72570">rx_read_buffer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6eaf7761ba737673b28920e9f2b689a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6eaf7761ba737673b28920e9f2b689a4"></a>
<a class="el" href="classUDP__if_1_1flat.html#a6eaf7761ba737673b28920e9f2b689a4">rx_read_buffer_125</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1da78b461deb4faaadb22d973c76340d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1da78b461deb4faaadb22d973c76340d"></a>
<a class="el" href="classUDP__if_1_1flat.html#a1da78b461deb4faaadb22d973c76340d">rx_write_buffer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adb7802d52ccf36db3118a5bf221da0d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb7802d52ccf36db3118a5bf221da0d8"></a>
<a class="el" href="classUDP__if_1_1flat.html#adb7802d52ccf36db3118a5bf221da0d8">tx_read_buffer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae5170ffb799d3078283bf67583155e7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5170ffb799d3078283bf67583155e7d"></a>
<a class="el" href="classUDP__if_1_1flat.html#ae5170ffb799d3078283bf67583155e7d">tx_write_buffer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a59cc681f820697538a8dfd22168fdd3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59cc681f820697538a8dfd22168fdd3c"></a>
<a class="el" href="classUDP__if_1_1flat.html#a59cc681f820697538a8dfd22168fdd3c">tx_write_buffer_125</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af4daefb83360b8cd979c721419799438"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4daefb83360b8cd979c721419799438"></a>
<a class="el" href="classUDP__if_1_1flat.html#af4daefb83360b8cd979c721419799438">resend_buf</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5aebfd91c55c6cd05504efd6d8f8f6dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5aebfd91c55c6cd05504efd6d8f8f6dd"></a>
<a class="el" href="classUDP__if_1_1flat.html#a5aebfd91c55c6cd05504efd6d8f8f6dd">rx_full_addra</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">ADDRWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4455261db4e4e3272b0433088da4ea7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4455261db4e4e3272b0433088da4ea7d"></a>
<a class="el" href="classUDP__if_1_1flat.html#a4455261db4e4e3272b0433088da4ea7d">tx_full_addrb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">ADDRWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa196447cb0943ff014b4e20fa4ec92e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa196447cb0943ff014b4e20fa4ec92e5"></a>
<a class="el" href="classUDP__if_1_1flat.html#aa196447cb0943ff014b4e20fa4ec92e5">rx_full_addrb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">ADDRWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab6f563a1e148186bb9309fc0b27a177d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6f563a1e148186bb9309fc0b27a177d"></a>
<a class="el" href="classUDP__if_1_1flat.html#ab6f563a1e148186bb9309fc0b27a177d">tx_full_addra</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">ADDRWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af66abd0eee3baadcf91853392bf20833"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af66abd0eee3baadcf91853392bf20833"></a>
<a class="el" href="classUDP__if_1_1flat.html#af66abd0eee3baadcf91853392bf20833">pkt_resend</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adf17421a914464f4e38f90a0d210da40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf17421a914464f4e38f90a0d210da40"></a>
<a class="el" href="classUDP__if_1_1flat.html#adf17421a914464f4e38f90a0d210da40">pkt_rcvd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab443eda7257732e7adc60402c3f24010"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab443eda7257732e7adc60402c3f24010"></a>
<a class="el" href="classUDP__if_1_1flat.html#ab443eda7257732e7adc60402c3f24010">rx_ram_busy</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a42af6103fd517da59ca06c9d43ab572d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42af6103fd517da59ca06c9d43ab572d"></a>
<a class="el" href="classUDP__if_1_1flat.html#a42af6103fd517da59ca06c9d43ab572d">rx_req_send_125</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2d5f9d5760707d83eda2683237dced08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d5f9d5760707d83eda2683237dced08"></a>
<a class="el" href="classUDP__if_1_1flat.html#a2d5f9d5760707d83eda2683237dced08">udpram_sent</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a50821df44bbbc54dd2572ad9362e500f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50821df44bbbc54dd2572ad9362e500f"></a>
<a class="el" href="classUDP__if_1_1flat.html#a50821df44bbbc54dd2572ad9362e500f">busy_125</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acb91dc777b033e0f8a4e3bc24b504f09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb91dc777b033e0f8a4e3bc24b504f09"></a>
<a class="el" href="classUDP__if_1_1flat.html#acb91dc777b033e0f8a4e3bc24b504f09">enable_125</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a703dace81d7ffe6fbab42159234ce2f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a703dace81d7ffe6fbab42159234ce2f6"></a>
<a class="el" href="classUDP__if_1_1flat.html#a703dace81d7ffe6fbab42159234ce2f6">rarp_125</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acd476e507c53f94729215079827e7ea9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd476e507c53f94729215079827e7ea9"></a>
<a class="el" href="classUDP__if_1_1flat.html#acd476e507c53f94729215079827e7ea9">rx_ram_sent</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4b8a037c777643f4b24f49e63aae3924"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b8a037c777643f4b24f49e63aae3924"></a>
<a class="el" href="classUDP__if_1_1flat.html#a4b8a037c777643f4b24f49e63aae3924">tx_ram_written</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ade17c20bf0922db6a0785eb2a4900bed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade17c20bf0922db6a0785eb2a4900bed"></a>
<a class="el" href="classUDP__if_1_1flat.html#ade17c20bf0922db6a0785eb2a4900bed">rxreq_not_found</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa6cefb27e5e8e3a5fa549b795b5cd460"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6cefb27e5e8e3a5fa549b795b5cd460"></a>
<a class="el" href="classUDP__if_1_1flat.html#aa6cefb27e5e8e3a5fa549b795b5cd460">resend_pkt_id</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad9aa165ea6380472a8842e51a26418fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9aa165ea6380472a8842e51a26418fa"></a>
<a class="el" href="classUDP__if_1_1flat.html#ad9aa165ea6380472a8842e51a26418fa">clean_buf</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">BUFWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:ab39b3be1374c496ce8b69b0b55600634"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab39b3be1374c496ce8b69b0b55600634"></a>
<a class="el" href="classUDP__if_1_1flat.html#ab39b3be1374c496ce8b69b0b55600634">IPADDR</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_ipaddr_block</b>  </td></tr>
<tr class="memitem:aa9528e92b4bf12d2243748a9c0d557b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9528e92b4bf12d2243748a9c0d557b3"></a>
<a class="el" href="classUDP__if_1_1flat.html#aa9528e92b4bf12d2243748a9c0d557b3">RARP_block</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_rarp_block</b>  </td></tr>
<tr class="memitem:abf2c8dc7499a74de5efb01769a703738"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf2c8dc7499a74de5efb01769a703738"></a>
<a class="el" href="classUDP__if_1_1flat.html#abf2c8dc7499a74de5efb01769a703738">ARP</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_build_arp</b>  </td></tr>
<tr class="memitem:aeabb6226e68bbbbb995aa6af5d999d11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeabb6226e68bbbbb995aa6af5d999d11"></a>
<a class="el" href="classUDP__if_1_1flat.html#aeabb6226e68bbbbb995aa6af5d999d11">payload</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_build_payload</b>  </td></tr>
<tr class="memitem:a28912685f0038566f6112b5c984c6e8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28912685f0038566f6112b5c984c6e8c"></a>
<a class="el" href="classUDP__if_1_1flat.html#a28912685f0038566f6112b5c984c6e8c">ping</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_build_ping</b>  </td></tr>
<tr class="memitem:a873008b4dc481e6f84eb13c970670b2b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a873008b4dc481e6f84eb13c970670b2b"></a>
<a class="el" href="classUDP__if_1_1flat.html#a873008b4dc481e6f84eb13c970670b2b">resend</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_build_resend</b>  </td></tr>
<tr class="memitem:a015eb90e0de9f16e87bd149d4b9ce959"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a015eb90e0de9f16e87bd149d4b9ce959"></a>
<a class="el" href="classUDP__if_1_1flat.html#a015eb90e0de9f16e87bd149d4b9ce959">status</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_build_status</b>  </td></tr>
<tr class="memitem:a0895ca3a9c2a33f2eee7dd7ae3150a39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0895ca3a9c2a33f2eee7dd7ae3150a39"></a>
<a class="el" href="classUDP__if_1_1flat.html#a0895ca3a9c2a33f2eee7dd7ae3150a39">status_buffer</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_status_buffer</b>  </td></tr>
<tr class="memitem:a9680604d7c0951cd501bda2ab38a831f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9680604d7c0951cd501bda2ab38a831f"></a>
<a class="el" href="classUDP__if_1_1flat.html#a9680604d7c0951cd501bda2ab38a831f">rx_byte_sum</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_byte_sum</b>  </td></tr>
<tr class="memitem:aaa03f927baf687d9cd62faf3894686f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa03f927baf687d9cd62faf3894686f3"></a>
<a class="el" href="classUDP__if_1_1flat.html#aaa03f927baf687d9cd62faf3894686f3">rx_reset_block</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_do_rx_reset</b>  </td></tr>
<tr class="memitem:a53ef5d7d36e7d2f332c95cfff1c62623"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53ef5d7d36e7d2f332c95cfff1c62623"></a>
<a class="el" href="classUDP__if_1_1flat.html#a53ef5d7d36e7d2f332c95cfff1c62623">rx_packet_parser</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_packet_parser</b>  </td></tr>
<tr class="memitem:aab134e144c9089d1d8dff3915ab6e228"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab134e144c9089d1d8dff3915ab6e228"></a>
<a class="el" href="classUDP__if_1_1flat.html#aab134e144c9089d1d8dff3915ab6e228">rx_ram_mux</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_rxram_mux</b>  </td></tr>
<tr class="memitem:a3cad6c602285c9ca7e8e3d04d0d14998"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3cad6c602285c9ca7e8e3d04d0d14998"></a>
<a class="el" href="classUDP__if_1_1flat.html#a3cad6c602285c9ca7e8e3d04d0d14998">internal_ram</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_DualPortRAM</b>  </td></tr>
<tr class="memitem:a5ad94fde8c071a6d3368d61800248537"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ad94fde8c071a6d3368d61800248537"></a>
<a class="el" href="classUDP__if_1_1flat.html#a5ad94fde8c071a6d3368d61800248537">internal_ram_selector</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_buffer_selector</b>  </td></tr>
<tr class="memitem:adacdb3c68b04b5e227acc971fc87df18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adacdb3c68b04b5e227acc971fc87df18"></a>
<a class="el" href="classUDP__if_1_1flat.html#adacdb3c68b04b5e227acc971fc87df18">internal_ram_shim</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_rxram_shim</b>  </td></tr>
<tr class="memitem:ad988521abec71e7df879c18e60b6d2e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad988521abec71e7df879c18e60b6d2e9"></a>
<a class="el" href="classUDP__if_1_1flat.html#ad988521abec71e7df879c18e60b6d2e9">ipbus_rx_ram</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_DualPortRAM_rx</b>  </td></tr>
<tr class="memitem:a0e6251d717e8f63254886d297d427d8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e6251d717e8f63254886d297d427d8d"></a>
<a class="el" href="classUDP__if_1_1flat.html#a0e6251d717e8f63254886d297d427d8d">rx_ram_selector</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_buffer_selector</b>  </td></tr>
<tr class="memitem:a39cb8465f30cf275a37e1e6ada175aa8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39cb8465f30cf275a37e1e6ada175aa8"></a>
<a class="el" href="classUDP__if_1_1flat.html#a39cb8465f30cf275a37e1e6ada175aa8">ipbus_tx_ram</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_DualPortRAM_tx</b>  </td></tr>
<tr class="memitem:ad63ede6d4c9d2d18f7191fde2157522b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad63ede6d4c9d2d18f7191fde2157522b"></a>
<a class="el" href="classUDP__if_1_1flat.html#ad63ede6d4c9d2d18f7191fde2157522b">tx_ram_selector</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_buffer_selector</b>  </td></tr>
<tr class="memitem:ab120c582139f534ac0864bcd88543db9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab120c582139f534ac0864bcd88543db9"></a>
<a class="el" href="classUDP__if_1_1flat.html#ab120c582139f534ac0864bcd88543db9">tx_byte_sum</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_byte_sum</b>  </td></tr>
<tr class="memitem:ae7ac865602190a09c6ede6d6774d5280"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7ac865602190a09c6ede6d6774d5280"></a>
<a class="el" href="classUDP__if_1_1flat.html#ae7ac865602190a09c6ede6d6774d5280">rx_transactor</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_rxtransactor_if</b>  </td></tr>
<tr class="memitem:a8a4dd678fced01ee4b192467ff4597f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a4dd678fced01ee4b192467ff4597f9"></a>
<a class="el" href="classUDP__if_1_1flat.html#a8a4dd678fced01ee4b192467ff4597f9">tx_main</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_tx_mux</b>  </td></tr>
<tr class="memitem:a1b489ab73aedb8490809d84bb6886941"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b489ab73aedb8490809d84bb6886941"></a>
<a class="el" href="classUDP__if_1_1flat.html#a1b489ab73aedb8490809d84bb6886941">tx_transactor</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_txtransactor_if</b>  </td></tr>
<tr class="memitem:a89a135aa3424892c5096fad405e8d20f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89a135aa3424892c5096fad405e8d20f"></a>
<a class="el" href="classUDP__if_1_1flat.html#a89a135aa3424892c5096fad405e8d20f">clock_crossing_if</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.udp_clock_crossing_if</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__if__flat_8vhd_source.html#l00065">65</a> of file <a class="el" href="udp__if__flat_8vhd_source.html">udp_if_flat.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="udp__if__flat_8vhd_source.html">udp_if_flat.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
